/* _________________________________________________________________________________________________________ //
  Copyright  1993 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 1/2/93
  Revision comments are at the end of this file.
  ---
  TMemory is a simple object checks heap and stack values, as well as changes them.
  TMemoryClass.r contains the resource definitions and resources used byt TMemory and TMemory testing. 
  Add these resources to the test framework using something similar as:
  Rez -rd -o TargetApplication MemoryClass.r -append
  _________________________________________________________________________________________________________ */

// INCLUDES
#include "SysTypes.r"
#include "Types.r"
#include "ApplicationResources.h"


#define kBaseID 1

// This is our 'stak' resource definition.
type 'stak' {
		longint;						// stack size
};

resource 'stak' (kBaseID, purgeable) {
	16 * 1024		// Base stack size. TMemory sums this entry for all 'stak' resources to
                    // determine what it should set the stack limit to at application
                    // startup.
};

// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		1/2/93		New file
  2			khs		1/3/93		Cleanup
*/
