/* _________________________________________________________________________________________________________ //
  Copyright  1992-93 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 12/21/92
  Revision comments are at the end of this file.
  ---
  TSound is a simple object that plays sounds 	
  TSound.cp contains the TSound member functions. 
  _________________________________________________________________________________________________________ */

#ifndef _SOUND_
#include "SoundClass.h"
#endif

// Simple test that plays sounds using the TSound class.

void main(void)
{
	cout << "Start of the TSound test\n";

	cout << "1: A simple test where a sound is played synchronously\n";

	TSound mySound("Moof");

	mySound.Play();

	TSound mySameSound(9000);					// use the other constructor
	mySameSound.Play();

	cout << "End of the TSound test!\n";
}


// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		12/21/92	New file
  2			khs		1/14/93		Cleanup
*/
